Cyberduck Mountain Duck CLI

#8528 closed enhancement (fixed)

Support for key exchange algorithm curve25519-sha256@libssh.org

Reported by: kinglok Owned by: dkocher
Priority: normal Milestone: 4.8
Component: sftp Version: 4.6.3
Severity: major Keywords: 25519
Cc: lbort@… Architecture: Intel
Platform: Mac OS X 10.10

Description

Hi, as pointed out some key exchange methods are just unsafe. I have upgraded openssh server to support curve25519 and using pub lic key authentication. The private key is password protected.

As far as I know, cyberduck still does not support the above authentication method. Do you think you will support it in the near future?

Kinglok, Fong

Change History (6)

comment:1 Changed on Jan 27, 2015 at 10:14:47 AM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher
  • Priority changed from high to normal
  • Status changed from new to assigned
  • Summary changed from Support of ed25519 key exchange? to Support for key exchange algorithm curve25519-sha256@libssh.org

comment:2 Changed on Jan 27, 2015 at 10:15:06 AM by dkocher

See also #8488.

comment:3 Changed on Feb 6, 2015 at 5:27:43 PM by lbort

  • Cc lbort@… added

comment:4 Changed on Feb 20, 2015 at 2:25:42 PM by dkocher

  • Milestone 4.7 deleted

comment:5 Changed on May 20, 2015 at 12:28:28 PM by dkocher

Referencing sshj#171.

comment:6 Changed on Nov 4, 2015 at 2:44:59 PM by dkocher

  • Milestone set to 4.8
  • Resolution set to fixed
  • Status changed from assigned to closed

In r18482.

Note: See TracTickets for help on using tickets.
swiss made software